tclap: TCLAP Namespace Reference

# TCLAP Namespace Reference

## Classes
class | Arg
| A virtual base class that defines the essential data for all arguments. More...
class | ArgException
| A simple class that defines and argument exception. More...
class | ArgParseException
| Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...
class | CmdLineParseException
| Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...
class | SpecificationException
| Thrown from Arg and CmdLine when an Arg is improperly specified, e.g. More...
class | ExitException
struct | ValueLike
| A value like argument value type is a value that can be set using operator>>. More...
struct | StringLike
| A string like argument value type is a value that can be set using operator=(string). More...
struct | StringLikeTrait
| A class can inherit from this object to make it have string like traits. More...
struct | ValueLikeTrait
| A class can inherit from this object to make it have value like traits. More...
struct | ArgTraits
| Arg traits are used to get compile type specialization when parsing argument values. More...
class | CmdLine
| The base class that manages the command line definition and passes along the parsing to the appropriate Arg classes. More...
class | CmdLineInterface
| The base class that manages the command line definition and passes along the parsing to the appropriate Arg classes. More...
class | CmdLineOutput
| The interface that any output object must implement. More...
class | Constraint
| The interface that defines the interaction between the Arg and Constraint. More...
class | DocBookOutput
| A class that generates DocBook output for usage() method for the given CmdLine and its Args. More...
class | HelpVisitor
| A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object. More...
class | IgnoreRestVisitor
| A Vistor that tells the CmdLine to begin ignoring arguments after this one is parsed. More...
class | MultiArg
| An argument that allows multiple values of type T to be specified. More...
class | MultiSwitchArg
| A multiple switch argument. More...
class | OptionalUnlabeledTracker
struct | ArgTraits< long >
| longs have value-like semantics. More...
struct | ArgTraits< int >
| ints have value-like semantics. More...
struct | ArgTraits< short >
| shorts have value-like semantics. More...
struct | ArgTraits< char >
| chars have value-like semantics. More...
struct | ArgTraits< unsigned long >
| unsigned longs have value-like semantics. More...
struct | ArgTraits< unsigned int >
| unsigned ints have value-like semantics. More...
struct | ArgTraits< unsigned short >
| unsigned shorts have value-like semantics. More...
struct | ArgTraits< unsigned char >
| unsigned chars have value-like semantics. More...
struct | ArgTraits< float >
| floats have value-like semantics. More...
struct | ArgTraits< double >
| doubles have value-like semantics. More...
struct | ArgTraits< bool >
| bools have value-like semantics. More...
struct | ArgTraits< wchar_t >
| wchar_ts have value-like semantics. More...
struct | ArgTraits< std::string >
| Strings have string like argument traits. More...
class | StdOutput
| A class that isolates any output from the CmdLine object so that it may be easily modified. More...
class | SwitchArg
| A simple switch argument. More...
class | UnlabeledMultiArg
| Just like a MultiArg, except that the arguments are unlabeled. More...
class | UnlabeledValueArg
| The basic unlabeled argument that parses a value. More...
class | ValueArg
| The basic labeled argument that parses a value. More...
class | ValuesConstraint
| A Constraint that constrains the Arg to only those values specified in the constraint. More...
class | VersionVisitor
| A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit. More...
class | Visitor
| A base class that defines the interface for visitors. More...
class | XorHandler
| This class handles lists of Arg's that are to be XOR'd on the command line. More...
class | ZshCompletionOutput
| A class that generates a Zsh completion function as output from the usage() method for the given CmdLine and its Args. More...
## Typedefs
typedef std::list< Arg * > ::iterator | ArgListIterator
| Typedef of an Arg list iterator.
typedef std::vector< Arg * > ::iterator | ArgVectorIterator
| Typedef of an Arg vector iterator.
typedef std::list< Visitor * > ::iterator | VisitorListIterator
| Typedef of a Visitor list iterator.
## Functions
template<typename T >
void | ExtractValue (T &destVal, const std::string &strVal, ValueLike vl)
template<typename T >
void | ExtractValue (T &destVal, const std::string &strVal, StringLike sl)
template<typename T >
void | DelPtr (T ptr)
template<typename C >
void | ClearContainer (C &c)
template<typename T >
void | SetString (T &dst, const std::string &src)

## Typedef Documentation

typedef std::list<Arg*>::iterator TCLAP::ArgListIterator

Typedef of an Arg list iterator.

Definition at line 396 of file Arg.h.

typedef std::vector<Arg*>::iterator TCLAP::ArgVectorIterator

Typedef of an Arg vector iterator.

Definition at line 401 of file Arg.h.

typedef std::list<Visitor*>::iterator TCLAP::VisitorListIterator

Typedef of a Visitor list iterator.

Definition at line 406 of file Arg.h.

## Function Documentation

template<typename C >

void TCLAP::ClearContainer | ( | C & | c | ) | `[inline]`

Definition at line 58 of file CmdLine.h.

Referenced by TCLAP::CmdLine::~CmdLine().

template<typename T >

void TCLAP::DelPtr | ( | T | ptr | ) | `[inline]`

Definition at line 53 of file CmdLine.h.

template<typename T >

void TCLAP::ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | StringLike | sl |
| ) |  |  | `[inline]`

Definition at line 452 of file Arg.h.

References SetString().

template<typename T >

void TCLAP::ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | ValueLike | vl |
| ) |  |  | `[inline]`

Definition at line 415 of file Arg.h.

Referenced by TCLAP::ValueArg< T >::_extractValue(), and TCLAP::MultiArg< T >::_extractValue().

template<typename T >

void TCLAP::SetString | ( | T & | dst,
|  | const std::string & | src |
| ) |  |  | `[inline]`

Definition at line 200 of file StandardTraits.h.

Referenced by ExtractValue().